.themestek-ele-spinner-box-style-1 {
	width: 135px;
	position: relative;
	border-radius: 50%;
}
.themestek-ele-spinner-box-style-1 .ts-ihbox-icon,
.themestek-ele-spinner-box-style-1 .ts-ihbox-svg {
	position: absolute;
	top: 47%;
	left: 50%;
	transform: translate(-50%, -50%);
}
.themestek-ele-spinner-box-style-1 .ts-ihbox-icon i, 
.themestek-ele-spinner-box-style-1 .ts-ihbox-svg i,
.themestek-ele-spinner-box-style-1 .ts-ihbox-icon svg, 
.themestek-ele-spinner-box-style-1 .ts-ihbox-svg svg {
	fill: var(--tste-optico-primary-darkbgcolor);
	color: var(--tste-optico-primary-darkbgcolor);
}
.themestek-ele-spinner-box-style-1 .ts-ihbox-box .ts-ihbox-svg .ts-ihbox-svg-wrapper,
.themestek-ele-spinner-box-style-1 .ts-ihbox-box .ts-ihbox-icon .ts-ihbox-icon-wrapper{
	height: 80px;
    width: 80px;
	font-size: 40px;
	line-height: 80px;
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
	border-radius: 100%;
	color: var(--tste-optico-primary-darkbgcolor);
	background-color: #fff;
}
.themestek-ele-spinner-box-style-1 .ts-ihbox-svg-wrapper svg path,
.themestek-ele-spinner-box-style-1 .ts-ihbox-icon-wrapper{
	fill: var(--tste-optico-primary-darkbgcolor);
	color: var(--tste-optico-primary-darkbgcolor);
	display: block;
}
.themestek-ele-spinner-box-style-1 .ts-ihbox-box .ts-circle-box svg{
	-webkit-animation-name: ts_spin;
	-moz-animation-name: ts_spin;
	-ms-animation-name: ts_spin;
	-o-animation-name: ts_spin;
	animation-name: ts_spin;
	-webkit-animation-duration: 15s;
	-moz-animation-duration: 15s;
	-ms-animation-duration: 15s;
	-o-animation-duration: 15s;
	animation-duration: 15s;
	-webkit-animation-iteration-count: infinite;
	-moz-animation-iteration-count: infinite;
	-ms-animation-iteration-count: infinite;
	-o-animation-iteration-count: infinite;
	animation-iteration-count: infinite;
	-webkit-animation-timing-function: linear;
	-moz-animation-timing-function: linear;
	-ms-animation-timing-function: linear;
	-o-animation-timing-function: linear;
	animation-timing-function: linear;
	fill: var(--tste-optico-secondary-darkcolor);
    transform-origin: 50% 50% 0;
    transform: rotate(0deg);
	font-size: 20px;
	word-spacing: 4px;
	text-transform: uppercase;
	letter-spacing: 4px;
}
@-webkit-keyframes ts_spin {
	from { -webkit-transform: rotate(0); }
	to { -webkit-transform: rotate(360deg); }
}
@-moz-keyframes ts_spin {
	from { -moz-transform: rotate(0); }
	to { -moz-transform: rotate(360deg); }
}
@-ms-keyframes ts_spin {
	from { -ms-transform: rotate(0); }
	to { -ms-transform: rotate(360deg); }
}
@-o-keyframes ts_spin {
	from { -o-transform: rotate(0); }
	to { -o-transform: rotate(360deg); }
}
@keyframes ts_spin {
	from { transform: rotate(0); }
	to { transform: rotate(360deg); }
}
/* For Bg Color */
.ts-elementor-bg-color-darkgrey .themestek-ele-spinner-box-style-1 .ts-ihbox-box .ts-circle-box svg,
.ts-elementor-bg-color-primarydarkgrey .themestek-ele-spinner-box-style-1 .ts-ihbox-box .ts-circle-box svg {
	fill: #fff;
}
.ts-elementor-bg-color-white .themestek-ele-spinner-box-style-1 .ts-ihbox-box .ts-ihbox-svg .ts-ihbox-svg-wrapper,
.ts-elementor-bg-color-white .themestek-ele-spinner-box-style-1 .ts-ihbox-box .ts-ihbox-icon .ts-ihbox-icon-wrapper {
	background-color: var(--tste-optico-primary-greycolor);
}
.ts-elementor-bg-color-darkgrey .themestek-ele-spinner-box-style-1 .ts-ihbox-icon i, .themestek-ele-spinner-box-style-1 .ts-ihbox-svg i,
.ts-elementor-bg-color-darkgrey .themestek-ele-spinner-box-style-1 .ts-ihbox-icon svg, .themestek-ele-spinner-box-style-1 .ts-ihbox-svg svg,
.ts-elementor-bg-color-primarydarkgrey .themestek-ele-spinner-box-style-1 .ts-ihbox-icon i, .themestek-ele-spinner-box-style-1 .ts-ihbox-svg i,
.ts-elementor-bg-color-primarydarkgrey .themestek-ele-spinner-box-style-1 .ts-ihbox-icon svg, .themestek-ele-spinner-box-style-1 .ts-ihbox-svg svg {
	color: var(--tste-optico-skincolor);
}